<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" /><title>DefaultHttpParamsFactory xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../apidocs/org/apache/commons/httpclient/params/DefaultHttpParamsFactory.html">View Javadoc</a></div><pre>

<a name="1" href="#1">1</a>   <em class="comment">/*</em>
<a name="2" href="#2">2</a>   <em class="comment"> * $HeadURL: https://svn.apache.org/repos/asf/httpcomponents/oac.hc3x/trunk/src/java/org/apache/commons/httpclient/params/DefaultHttpParamsFactory.java $</em>
<a name="3" href="#3">3</a>   <em class="comment"> * $Revision$</em>
<a name="4" href="#4">4</a>   <em class="comment"> * $Date$</em>
<a name="5" href="#5">5</a>   <em class="comment"> *</em>
<a name="6" href="#6">6</a>   <em class="comment"> * ====================================================================</em>
<a name="7" href="#7">7</a>   <em class="comment"> *</em>
<a name="8" href="#8">8</a>   <em class="comment"> *  Licensed to the Apache Software Foundation (ASF) under one or more</em>
<a name="9" href="#9">9</a>   <em class="comment"> *  contributor license agreements.  See the NOTICE file distributed with</em>
<a name="10" href="#10">10</a>  <em class="comment"> *  this work for additional information regarding copyright ownership.</em>
<a name="11" href="#11">11</a>  <em class="comment"> *  The ASF licenses this file to You under the Apache License, Version 2.0</em>
<a name="12" href="#12">12</a>  <em class="comment"> *  (the "License"); you may not use this file except in compliance with</em>
<a name="13" href="#13">13</a>  <em class="comment"> *  the License.  You may obtain a copy of the License at</em>
<a name="14" href="#14">14</a>  <em class="comment"> *</em>
<a name="15" href="#15">15</a>  <em class="comment"> *      <a href="http://www.apache.org/licenses/LICENSE-2.0" target="alexandria_uri">http://www.apache.org/licenses/LICENSE-2.0</a></em>
<a name="16" href="#16">16</a>  <em class="comment"> *</em>
<a name="17" href="#17">17</a>  <em class="comment"> *  Unless required by applicable law or agreed to in writing, software</em>
<a name="18" href="#18">18</a>  <em class="comment"> *  distributed under the License is distributed on an "AS IS" BASIS,</em>
<a name="19" href="#19">19</a>  <em class="comment"> *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</em>
<a name="20" href="#20">20</a>  <em class="comment"> *  See the License for the specific language governing permissions and</em>
<a name="21" href="#21">21</a>  <em class="comment"> *  limitations under the License.</em>
<a name="22" href="#22">22</a>  <em class="comment"> * ====================================================================</em>
<a name="23" href="#23">23</a>  <em class="comment"> *</em>
<a name="24" href="#24">24</a>  <em class="comment"> * This software consists of voluntary contributions made by many</em>
<a name="25" href="#25">25</a>  <em class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</em>
<a name="26" href="#26">26</a>  <em class="comment"> * information on the Apache Software Foundation, please see</em>
<a name="27" href="#27">27</a>  <em class="comment"> * &lt;<a href="http://www.apache.org/" target="alexandria_uri">http://www.apache.org/</a>>.</em>
<a name="28" href="#28">28</a>  <em class="comment"> *</em>
<a name="29" href="#29">29</a>  <em class="comment"> */</em>
<a name="30" href="#30">30</a>   
<a name="31" href="#31">31</a>  <strong>package</strong> <a href="../../../../../org/apache/commons/httpclient/params/package-summary.html">org.apache.commons.httpclient.params</a>;
<a name="32" href="#32">32</a>  
<a name="33" href="#33">33</a>  <strong>import</strong> java.util.ArrayList;
<a name="34" href="#34">34</a>  <strong>import</strong> java.util.Arrays;
<a name="35" href="#35">35</a>  
<a name="36" href="#36">36</a>  <strong>import</strong> org.apache.commons.httpclient.DefaultHttpMethodRetryHandler;
<a name="37" href="#37">37</a>  <strong>import</strong> org.apache.commons.httpclient.HttpVersion;
<a name="38" href="#38">38</a>  <strong>import</strong> org.apache.commons.httpclient.SimpleHttpConnectionManager;
<a name="39" href="#39">39</a>  <strong>import</strong> org.apache.commons.httpclient.cookie.CookiePolicy;
<a name="40" href="#40">40</a>  <strong>import</strong> org.apache.commons.httpclient.util.DateUtil;
<a name="41" href="#41">41</a>  
<a name="42" href="#42">42</a>  <em>/**<em>*</em></em>
<a name="43" href="#43">43</a>  <em> * @since 3.0</em>
<a name="44" href="#44">44</a>  <em> */</em>
<a name="45" href="#45">45</a>  <strong>public</strong> <strong>class</strong> <a href="../../../../../org/apache/commons/httpclient/params/DefaultHttpParamsFactory.html">DefaultHttpParamsFactory</a> implements <a href="../../../../../org/apache/commons/httpclient/params/HttpParamsFactory.html">HttpParamsFactory</a> {
<a name="46" href="#46">46</a>  
<a name="47" href="#47">47</a>      <strong>private</strong> <a href="../../../../../org/apache/commons/httpclient/params/HttpParams.html">HttpParams</a> httpParams;
<a name="48" href="#48">48</a>  
<a name="49" href="#49">49</a>      <em>/**<em>*</em></em>
<a name="50" href="#50">50</a>  <em>     * </em>
<a name="51" href="#51">51</a>  <em>     */</em>
<a name="52" href="#52">52</a>      <strong>public</strong> <a href="../../../../../org/apache/commons/httpclient/params/DefaultHttpParamsFactory.html">DefaultHttpParamsFactory</a>() {
<a name="53" href="#53">53</a>          <strong>super</strong>();
<a name="54" href="#54">54</a>      }
<a name="55" href="#55">55</a>  
<a name="56" href="#56">56</a>      <em class="comment">/*<em class="comment"> (non-Javadoc)</em></em>
<a name="57" href="#57">57</a>  <em class="comment">     * @see org.apache.commons.httpclient.params.HttpParamsFactory#getDefaultParams()</em>
<a name="58" href="#58">58</a>  <em class="comment">     */</em>
<a name="59" href="#59">59</a>      <strong>public</strong> <strong>synchronized</strong> <a href="../../../../../org/apache/commons/httpclient/params/HttpParams.html">HttpParams</a> getDefaultParams() {
<a name="60" href="#60">60</a>          <strong>if</strong> (httpParams == <strong>null</strong>) {
<a name="61" href="#61">61</a>              httpParams = createParams();
<a name="62" href="#62">62</a>          }
<a name="63" href="#63">63</a>  
<a name="64" href="#64">64</a>          <strong>return</strong> httpParams;
<a name="65" href="#65">65</a>      }
<a name="66" href="#66">66</a>  
<a name="67" href="#67">67</a>      <strong>protected</strong> <a href="../../../../../org/apache/commons/httpclient/params/HttpParams.html">HttpParams</a> createParams() {
<a name="68" href="#68">68</a>          <a href="../../../../../org/apache/commons/httpclient/params/HttpClientParams.html">HttpClientParams</a> params = <strong>new</strong> <a href="../../../../../org/apache/commons/httpclient/params/HttpClientParams.html">HttpClientParams</a>(<strong>null</strong>);
<a name="69" href="#69">69</a>          
<a name="70" href="#70">70</a>          params.setParameter(HttpMethodParams.USER_AGENT, <span class="string">"Jakarta Commons-HttpClient/3.1"</span>);
<a name="71" href="#71">71</a>          params.setVersion(HttpVersion.HTTP_1_1);
<a name="72" href="#72">72</a>          params.setConnectionManagerClass(SimpleHttpConnectionManager.<strong>class</strong>);
<a name="73" href="#73">73</a>          params.setCookiePolicy(CookiePolicy.DEFAULT);
<a name="74" href="#74">74</a>          params.setHttpElementCharset(<span class="string">"US-ASCII"</span>);
<a name="75" href="#75">75</a>          params.setContentCharset(<span class="string">"ISO-8859-1"</span>);
<a name="76" href="#76">76</a>          params.setParameter(HttpMethodParams.RETRY_HANDLER, <strong>new</strong> <a href="../../../../../org/apache/commons/httpclient/DefaultHttpMethodRetryHandler.html">DefaultHttpMethodRetryHandler</a>());
<a name="77" href="#77">77</a>          
<a name="78" href="#78">78</a>          ArrayList datePatterns = <strong>new</strong> ArrayList();
<a name="79" href="#79">79</a>          datePatterns.addAll(
<a name="80" href="#80">80</a>              Arrays.asList(
<a name="81" href="#81">81</a>                  <strong>new</strong> String[] {
<a name="82" href="#82">82</a>                      DateUtil.PATTERN_RFC1123,
<a name="83" href="#83">83</a>                      DateUtil.PATTERN_RFC1036,
<a name="84" href="#84">84</a>                      DateUtil.PATTERN_ASCTIME,
<a name="85" href="#85">85</a>                      <span class="string">"EEE, dd-MMM-yyyy HH:mm:ss z"</span>,
<a name="86" href="#86">86</a>                      <span class="string">"EEE, dd-MMM-yyyy HH-mm-ss z"</span>,
<a name="87" href="#87">87</a>                      <span class="string">"EEE, dd MMM yy HH:mm:ss z"</span>,
<a name="88" href="#88">88</a>                      <span class="string">"EEE dd-MMM-yyyy HH:mm:ss z"</span>,
<a name="89" href="#89">89</a>                      <span class="string">"EEE dd MMM yyyy HH:mm:ss z"</span>,
<a name="90" href="#90">90</a>                      <span class="string">"EEE dd-MMM-yyyy HH-mm-ss z"</span>,
<a name="91" href="#91">91</a>                      <span class="string">"EEE dd-MMM-yy HH:mm:ss z"</span>,
<a name="92" href="#92">92</a>                      <span class="string">"EEE dd MMM yy HH:mm:ss z"</span>,
<a name="93" href="#93">93</a>                      <span class="string">"EEE,dd-MMM-yy HH:mm:ss z"</span>,
<a name="94" href="#94">94</a>                      <span class="string">"EEE,dd-MMM-yyyy HH:mm:ss z"</span>,
<a name="95" href="#95">95</a>                      <span class="string">"EEE, dd-MM-yyyy HH:mm:ss z"</span>,                
<a name="96" href="#96">96</a>                  }
<a name="97" href="#97">97</a>              )
<a name="98" href="#98">98</a>          );
<a name="99" href="#99">99</a>          params.setParameter(HttpMethodParams.DATE_PATTERNS, datePatterns);
<a name="100" href="#100">100</a>             
<a name="101" href="#101">101</a>         <em class="comment">// TODO: To be removed. Provided for backward compatibility</em>
<a name="102" href="#102">102</a>         String agent = <strong>null</strong>;
<a name="103" href="#103">103</a>         <strong>try</strong> {
<a name="104" href="#104">104</a>             agent = System.getProperty(<span class="string">"httpclient.useragent"</span>);
<a name="105" href="#105">105</a>         } <strong>catch</strong> (SecurityException ignore) {
<a name="106" href="#106">106</a>         }
<a name="107" href="#107">107</a>         <strong>if</strong> (agent != <strong>null</strong>) {        
<a name="108" href="#108">108</a>             params.setParameter(HttpMethodParams.USER_AGENT, agent);
<a name="109" href="#109">109</a>         }
<a name="110" href="#110">110</a>         
<a name="111" href="#111">111</a>         <em class="comment">// TODO: To be removed. Provided for backward compatibility</em>
<a name="112" href="#112">112</a>         String preemptiveDefault = <strong>null</strong>;
<a name="113" href="#113">113</a>         <strong>try</strong> {
<a name="114" href="#114">114</a>             preemptiveDefault = System.getProperty(<span class="string">"httpclient.authentication.preemptive"</span>);
<a name="115" href="#115">115</a>         } <strong>catch</strong> (SecurityException ignore) {
<a name="116" href="#116">116</a>         }
<a name="117" href="#117">117</a>         <strong>if</strong> (preemptiveDefault != <strong>null</strong>) {
<a name="118" href="#118">118</a>             preemptiveDefault = preemptiveDefault.trim().toLowerCase();
<a name="119" href="#119">119</a>             <strong>if</strong> (preemptiveDefault.equals(<span class="string">"true"</span>)) {
<a name="120" href="#120">120</a>                 params.setParameter(HttpClientParams.PREEMPTIVE_AUTHENTICATION, Boolean.TRUE);
<a name="121" href="#121">121</a>             } <strong>else</strong> <strong>if</strong> (preemptiveDefault.equals(<span class="string">"false"</span>)) {
<a name="122" href="#122">122</a>                 params.setParameter(HttpClientParams.PREEMPTIVE_AUTHENTICATION, Boolean.FALSE);
<a name="123" href="#123">123</a>             }
<a name="124" href="#124">124</a>         }
<a name="125" href="#125">125</a>         
<a name="126" href="#126">126</a>         <em class="comment">// TODO: To be removed. Provided for backward compatibility</em>
<a name="127" href="#127">127</a>         String defaultCookiePolicy = <strong>null</strong>;
<a name="128" href="#128">128</a>         <strong>try</strong> {
<a name="129" href="#129">129</a>             defaultCookiePolicy = System.getProperty(<span class="string">"apache.commons.httpclient.cookiespec"</span>);
<a name="130" href="#130">130</a>         } <strong>catch</strong> (SecurityException ignore) {
<a name="131" href="#131">131</a>         }
<a name="132" href="#132">132</a>         <strong>if</strong> (defaultCookiePolicy != <strong>null</strong>) {
<a name="133" href="#133">133</a>             <strong>if</strong> (<span class="string">"COMPATIBILITY"</span>.equalsIgnoreCase(defaultCookiePolicy)) {
<a name="134" href="#134">134</a>                 params.setCookiePolicy(CookiePolicy.BROWSER_COMPATIBILITY);
<a name="135" href="#135">135</a>             } <strong>else</strong> <strong>if</strong> (<span class="string">"NETSCAPE_DRAFT"</span>.equalsIgnoreCase(defaultCookiePolicy)) {
<a name="136" href="#136">136</a>                 params.setCookiePolicy(CookiePolicy.NETSCAPE);
<a name="137" href="#137">137</a>             } <strong>else</strong> <strong>if</strong> (<span class="string">"RFC2109"</span>.equalsIgnoreCase(defaultCookiePolicy)) {
<a name="138" href="#138">138</a>                 params.setCookiePolicy(CookiePolicy.RFC_2109);
<a name="139" href="#139">139</a>             }
<a name="140" href="#140">140</a>         }
<a name="141" href="#141">141</a> 
<a name="142" href="#142">142</a>         <strong>return</strong> params;
<a name="143" href="#143">143</a>     } 
<a name="144" href="#144">144</a> 
<a name="145" href="#145">145</a> }
</pre>
<hr/><div id="footer">This page was automatically generated by <a href="http://maven.apache.org/">Maven</a></div></body>
</html>

